/*
 *  
 *  Copyright (c) 2004 Steve Slaven, All Rights Reserved.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA 02111-1307 USA
 *  
*/
package net.hoopajoo.cheeselab3;

public class CheeseLab {
	static int log_level = 0;
	static final String version = "3.0beta22";
	
	// Higher levels should be more verbose, lower levels are informative
	// 0 - exceptions only
	// 1 - informative messages at app level (starting thread/app/etc)
	// 2 - informative messages at subs level (doing X, end X)
	// 3 - spammy messages from inside subs
	// 4 - really big and uber spammy messages (inside tight loops etc)
	public static void dmesg( int level, String message ) {
		if( level <= log_level ) {
			StackTraceElement[] elems = (new Throwable()).getStackTrace();
			System.out.println( elems[ 1 ] + ": " + message );
		}
	}

	public static void stacktrace() {
		StackTraceElement[] elems = (new Throwable()).getStackTrace();
		dmesg( 1, "Begin stacktrace" );
		for( int i = 0; i < elems.length; i++ ) {
			System.out.println( elems[ i ] );
		}
		dmesg( 1, "End stacktrace" );
	}

	public static void die( Object me, int exitcode, String message ) {
		StackTraceElement[] elems = (new Throwable()).getStackTrace();
		System.out.println( elems[ 1 ] + ": " + message );
		System.exit( exitcode );
	}
}
